﻿Option Explicit On
Option Strict On

Imports MvpsOrg.Dotnet.Win32.NativeMethods

Namespace MvpsOrg.Dotnet.Win32.Transactions.IO
    <Flags()> _
    Public Enum FileAttributes
        Archive = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_ARCHIVE
        Compressed = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_COMPRESSED
        Device = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_DEVICE
        Directory = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_DIRECTORY
        Encrypted = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_ENCRYPTED
        Hidden = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_HIDDEN
        Normal = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_NORMAL
        NotContentIndexed = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_NOT_CONTENT_INDEXED
        Offline = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_OFFLINE
        [ReadOnly] = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_READONLY
        ReparsePoint = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_REPARSE_POINT
        SparseFile = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_SPARSE_FILE
        System = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_SYSTEM
        Temporary = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_TEMPORARY
        Virtual = FILE_ATTRIBUTE_Flags.FILE_ATTRIBUTE_VIRTUAL
    End Enum
End Namespace